package com.huiju.estateagents.common;

public class CommConstant {
    public final static String ALIOSS_DEFAULT_UPLOAD = "/miniapp/upload/images/";

    /**
     * 人员类型: 置业顾问
     */
    public final static String PERSON_REALTY_CONSULTANT = "Realty Consultant";

    /**
     * 人员类型: 销售主管
     */
    public final static String PERSON_SALES_EXECUTIVE = "Sales Executive";

    /**
     * 人员类型: 经纪人
     */
    public final static String PERSON_ESTATE_AGENT = "estate agent";

    /**
     * 人员类型: 客户
     */
    public final static String PERSON_ESTATE_CUSTOMER = "customer";

    /**
     * 人员类型: 渠道经纪人
     */
    public final static String PERSON_ESTATE_CHANNEL = "channel agent";

    /**
     * 人员类型: 游客
     */
    public final static String PERSON_ESTATE_DRIFT = "drift";

    /**
     * 状态: 正常
     */
    public final static int STATUS_NORMAL = 1;

    /**
     * 状态: 删除
     */
    public final static int STATUS_DELETE = -1;

    /**
     * 状态: 关闭、禁用
     */
    public final static int STATUS_CLOSED = 9;

    /**
     * 消息未读
     */
    public final static int MESSAGE_UNREAD = 0;

    /**
     * 消息已读
     */
    public final static int MESSAGE_READED = 1;

    /**
     * 点赞置业卡片
     */
    public final static String FAVOR_CONSULTANT = "consultant";

    /**
     * 点赞资讯
     */
    public final static String FAVOR_NEWS = "news";

    /**
     * 点赞项目
     */
    public final static String FAVOR_PROJECT = "project";

    /**
     * 活动点赞
     */
    public final static String FAVOR_ACTIVITY = "activity";


    /**
     * 兑换商品
     */
    public final static String POINTS_CHANGE_GOODS = "goods";

    /**
     * 签到
     */
    public final static String POINTS_CHANGE_CHECKIN = "checkin";

    /**
     * 分享
     */
    public final static String POINTS_CHANGE_SHARE_POSTER = "share-poster";

    /**
     * 授权手机号
     */
    public final static String POINTS_CHANGE_SIGNUP_AGENT = "signup-agent";

    /**
     * 拼团
     */
    public final static String POINTS_CHANGE_GROUP = "group";

    /**
     * 拼团
     */
    public final static String POINTS_CHANGE_HELP = "help";

    /**
     * 推荐客户
     */
    public final static String POINTS_CHANGE_RECOMMEND_CUSTOMER = "recommend-customer";

    /**
     * 活动核销
     */
    public final static String POINTS_CHANGE_ACTIVITY_VERIFICATION = "activity_verification";

    /**
     * 资料审核
     */
    public final static String POINTS_CHANGE_DOCUMENT_VERIFY = "document_verify";

    /**
     * 活动签到
     */
    public final static String POINTS_CHANGE_ACTIVITY_CHECKIN = "activity_checkin";


    /**
     * 小程序默认首页
     */
    public final static String MINIAPP_INDEX = "/index/index";

    public final static String MINIAPP_DEFAULT_AVATAR = "https://njcj.oss-cn-shanghai.aliyuncs.com/miniapp/upload/images/default_avatar.jpg";


    /**
     * 未领取
     */
    public static final Integer STATUS_UNACCALIMED = 0;

    /**
     * 成功
     */
    public static final String SUCCESS = "success";


    /**
     * 活动的当前状态1:进行中
     */
    public static final Integer ACTIVITY_CONDITION_PROCESSING = 1;

    /**
     * 活动的当前状态2:未开始
     */
    public static final Integer ACTIVITY_CONDITION_PREPARE = 2;

    /**
     * 活动的当前状态3:结束
     */
    public static final Integer ACTIVITY_CONDITION_FINISH = 3;

    //=================  首屏广告 / 轮播图 start =======================

    /**
     * 首页 轮播图/广告 类型 ====  活动
     */
    public static final String CAROUSEL_ACTIVITY = "activity";

    /**
     * 首页 轮播图/广告 类型 ==== 项目
     */
    public static final String CAROUSEL_PROJECT = "project";

    /**
     * 首页轮播图/广告 类型 ==== 资讯
     */
    public static final String CAROUSEL_NEWS = "news";

    /**
     * 首页轮播图/广告 类型 ==== 其他
     */
    public static final String CAROUSEL_OTHER = "other";

    /**
     * 打开放式_开屏
     */
    public static final String OPEN_SCREEN = "screen";

    /**
     * 打开放式_首页轮播图
     */
    public static final String CAROUSEL = "banner";

    /**
     * 首屏广告_发布位置——商城
     */
    public static final String MALL = "mall";

    /**
     * 首屏广告_发布位置——首页
     */
    public static final String BANNER_INDEX = "index";

    //=================  首屏广告 / 轮播图 end =======================

    /**
     * 客户报备
     */
    public static final Integer CUSTOMER_REPORT = 1;

    /**
     * 客户到访
     */
    public static final Integer CUSTOMER_VISITE = 2;

    /**
     * 客户认购
     */
    public static final Integer CUSTOMER_PREORDER = 3;

    /**
     * 客户签约
     */
    public static final Integer CUSTOMER_SIGNED = 4;


    /**
     * 待审核
     */
    public static final Integer VERIFY_READY = 0;

    /**
     * 审核同意
     */
    public static final Integer VERIFY_AGREE = 1;

    /**
     * 审核不同意
     */
    public static final Integer VERIFY_DISAGREE = 2;

    //=================  客户入口类型 start =======================
    /*
     * 自主进入
     * */
    public static final String ENTRY_VOLUNTEER = "volunteer";
    /*
    添加
    */
    public static final String ENTRY_INPUT = "input";
    /*
     * 报备
     * */
    public static final String ENTRY_VERIFY = "verify";
    //=================  客户入口类型 end =======================

    /**
     * 积分规则开启
     */
    public static final Integer POINTS_RULE_ON = 1;

    /**
     * 积分规则关闭
     */
    public static final Integer POINTS_RULE_OFF = 0;

    /**
     * 签到积分规则
     */
    public static final Integer POINTS_RULE_CHECKIN = 1;

    /**
     * 分享海报积分规则
     */
    public static final Integer POINTS_RULE_SHARE_POSTER = 2;

    /**
     * 推荐客户积分规则
     */
    public static final Integer POINTS_RULE_RECOMMENDER_CUSTOMER = 3;

    /**
     * 注册经纪人积分规则
     */
    public static final Integer POINTS_RULE_SIGNUP_AGENT = 4;

    /**
     * 活动核销送积分规则
     */
    public static final Integer POINTS_RULE_ACTIVITY_VERIFICATION = 6;

    /**
     * 资料审核送积分规则
     */
    public static final Integer POINTS_RULE_DOCUMENT_VERIFY = 7;

    /**
     * 普通活动签到送积分规则
     */
    public static final Integer POINTS_RULE_ACTIVITY_CHECKIN = 8;

    /**
     * 平台积分
     */
    public static final String POINTS_RULE_PLATFORM = "platform";

    /**
     * 项目积分
     */
    public static final String POINTS_RULE_PROJECT = "project";


    // ----   用户活跃数  查询条件 start ------

    public static final String DAY = "day";

    public static final String WEEK = "week";

    public static final String MONTH = "month";

    // ----     查询条件 end ------

    // -----   转化率 start -------

    /**
     * 项目收藏
     */
    public static final String BUILDING_SAVE = "building_save";

    /**
     * 项目转发
     */
    public static final String BUILDING_SHARE = "building_share";

    /**
     * 活动收藏
     */
    public static final String ACTIVITY_SAVE = "activity_save";

    /**
     * 活动转发
     */
    public static final String ACTIVITY_SHARE = "activity_share";

    /**
     * 咨迅收藏
     */
    public static final String NEWS_SAVE = "news_save";

    /**
     * 咨迅转发
     */
    public static final String NEWS_SHARE = "news_share";

    /**
     * 活动报名
     */
    public static final String ACTIVITY_SIGN = "activity_sign";

    /**
     * 授权手机号
     */
    public static final String AUTHORIZATION_PHONE = "authorization_phone";

    // ------   转化率 end ---------


    // ------- 用户来源 查询条件 start ----------

    public static final String REGISTERED_TYPE = "registered";

    // ------- 用户来源 查询条件 end ----------

    // ------- 性别 start -------
    public static final Integer SEX_MALE = 1;
    public static final Integer SEX_FEMALE = 2;
    public static final Integer SEX_UNKNOWN = 3;
    // ------- 性别 end -------

    // ------- 推荐客户状态 start -------
    // 到访
    public static final Integer RECOMMEND_CUSTOMER_STATUS_ARRIVAL = 1;
    // 签约
    public static final Integer RECOMMEND_CUSTOMER_STATUS_SIGN = 2;
    //
    public static final Integer RECOMMEND_CUSTOMER_STATUS_PRE_ORDER = 2;
    // ------- 推荐客户状态 end -------


    // ------- 客户推荐报备状态 start -------
    // 未报备，未推荐
    public static final Integer READY = 0;
    // 已报备
    public static final Integer REPORTED = 1;
    // 已推荐
    public static final Integer RECOMMENDED = 2;
    // ------- 客户推荐报备状态 end -------

    // ------- 政策发布状态 start -------
    // 已发布
    public static final Integer IS_PUBLISH = 1;
    // 未发布
    public static final Integer NOT_PUBLISH = 0;
    // ------- 政策发布状态 end -------

    // 公客
    public static final String CUTOMER_TYPE_PUBLIC = "public";
    // 私客
    public static final String CUTOMER_TYPE_PRIVATE = "private";


    //项目
    public static final String POSTER_CONTENT_TYPE_BUILDING = "building";
    //活动
    public static final String POSTER_CONTENT_TYPE_ACTIVITY = "activity";
    //资讯
    public static final String POSTER_CONTENT_TYPE_NEWS = "news";
    //人员
    public static final String POSTER_CONTENT_TYPE_PERSON = "person";


    public static final String GD_KEY = "c9fc664a9030aed2ec2183508c2ca476";

    //已参与微信端用
    public static final Integer ACTIVITY_STATUS_PARTNER = 3;

    //发起者
    public static final String HELP_STATUS_INITIATE = "Initiate";

    //助力活动
    public static final Object HELP_ACTIVITY = "helpActivity";

    //分享活动
    public static final Object GROUP_ACTIVITY = "groupActivity";
    public static final String TARGET_TYPE_H5 = "H5";
    public static final String ACTIVITY_QRCODE = "{\"scene\":\"id=#0&type=#1\",\"page\":\"pages/checkin/index\"}";
    public static final String LIVE_ACTIVITY_QRCODE = "{\"scene\":\"id=#0&type=#1\",\"page\":\"onlineSelling/pages/live/index\"}";
    public static final String DRAINAGE_QRCODE = "{\"scene\":\"id=#0&type=#1\",\"page\":\"pages/project/h5Page\"}";
    public static final String HOUSE_QRCODE = "{\"scene\":\"id=#0&type=#1\",\"page\":\"onlineSelling/pages/houseList/index\"}";

    /**
     * 消息通知
     * 必须存在表   td_miniapp_template_type 中
     */
    public static final String MESSAGE_CONTENT_OF_NOTICE = "notice";

    /**
     * 助力通知
     * 必须存在表   td_miniapp_template_type 中
     */
    public static final String MESSAGE_CONTENT_OF_HELP = "help-result";

    /**
     * 拼团通知
     * 必须存在表   td_miniapp_template_type 中
     */
    public static final String MESSAGE_CONTENT_OF_GROUP = "group-result";

    /**
     * 审核通知  预选/认筹
     * 必须存在表   td_miniapp_template_type 中
     */
    public static final String MESSAGE_CONTENT_OF_HOUSE = "house";

    /**
     * 活动以结束
     */
    public static final Integer ACTIVITY_STATUS_FINISH = 2;

    /**
     * 客户统计类型：跟进客户
     */
    public static final String CUSTOMER_TYPE_FOLLOW = "follow";

    /**
     * 客户统计类型：新增客户
     */
    public static final String CUSTOMER_TYPE_NEW = "new";

    /**
     * 客户统计类型：到访客户
     */
    public static final String CUSTOMER_TYPE_VISITE = "visite";

    // =================   项目图片类型 ==============

    /**
     * 项目banner
     */
    public static final String BUILDING_IMG_BANNER = "banner";

    /**
     * 项目列表图（现在是用于楼盘封面图）
     */
    public static final String BUILDING_IMG_LIST = "list";

    /**
     * 视频封面图
     */
    public static final String BUILDING_IMG_VIDEOIMAGE = "videoImage";

    /**
     * 户型图
     */
    public static final String BUILDING_IMG_APARMENT = "aparment";

    /**
     * 高德地图url
     */
    public static final String AMAP_HTTP = "https://restapi.amap.com/v3/geocode/regeo";

    /**
     * 高德地图key
     */
    public static final String AMAP_KEY = "14f05ce59c26364fd0674014dc0d8b1b";

    /**
     * 埋点类型h5
     */
    public static final String EVENT_H5 = "h5";

    /**
     * 房源分享
     */
    public static final String HOUSE = "house";

    /**
     * 批量销售
     */
    public static final String SALES_BATCH = "salesBatch";

    /**
     * 直播分享
     */
    public static final String LIVE = "live";

    /**
     * 系统参数  通知消息次时间间隔
     */
    public static final String SYSPARAM_NOTICE_MESSAGE_INTERVAL = "notice_message_interval";

    /**
     * 任一消息, 可以是下面的任意一种
     */
    public static final String MESSAGE_TYPE_OF_SOMEWAY = "someway";

    /**
     * 短信消息
     */
    public static final String MESSAGE_TYPE_OF_SMS = "sms";

    /**
     * 小程序订阅消息
     */
    public static final String MESSAGE_TYPE_OF_MINIAPP_SUBSCRIBE = "miniapp_subscribe";

    /**
     * 小程序模板消息
     */
    public static final String MESSAGE_TYPE_OF_MINIAPP_TEMPLATE = "miniapp_template";

    /**
     * 进入小程序
     */
    public static final String BIZ_EVENT_START = "start";

    /**
     * 登录渠道端系统类型
     */
    public static final String LOGIN_TYPE_CHANNEL = "channel";

    /**
     * 登录业务端系统类型
     */
    public static final String LOGIN_TYPE_ADMIN = "admin";


    /**
     * 登录中心端系统类型
     */
    public static final String LOGIN_TYPE_CENTER = "center";

    /**
     * 查看分享者活动类型 h5
     */
    public static final String H5_SHARE = "h5_share";

    /**
     * 查看分享者活动类型 拼团
     */
    public static final String GROUP_SHARE = "group_share";

    /**
     * 查看分享者活动类型 助力
     */
    public static final String HELP_SHARE = "help_share";

    /**
     * 查看分享者活动类型 活动
     */
    public static final String DYNAMIC_SHARE = "dynamic_share";

    /**
     * 户型
     */
    public static final String APARTMENT_TYPR_APART = "apart";

    /**
     * 户型全景图
     */
    public static final String PANORAMA_TYPE_APARTMENT = "apartment";

    /**
     * 价格类型 均价
     */
    public static final String PRICE_TYPE_AVERAGE = "average";

    /**
     * excel后缀
     */
    public static final String SUFFIX_2003 = ".xls";
    public static final String SUFFIX_2007 = ".xlsx";

    /**
     * 小程序房源详情路径
     */
    public static final String HOUSE_DETAIL_PATH = "onlineSelling/pages/detail/index?id=%s";

    /**
     * 已锁定
     */
    public static final String HOUSE_LOCKING_STATUS_LOCKED = "locked";

    /**
     * 未锁定
     */
    public static final String HOUSE_LOCKING_STATUS_UNLOCKED = "unlocked";

    /**
     * 房源订单
     */
    public static final String ORDER_TARGET_TYPE_HOUSE = "house";

    /**
     * 自动锁房
     */
    public static final String HOUSE_LOCKING_TYPE_AUTO = "auto";

    /**
     * 手动锁房
     */
    public static final String HOUSE_LOCKING_TYPE_MANUAL = "manual";

    /**
     * 正在缴费
     */
    public static final String PAY_STATUS_PAYING = "paying";

    /**
     * 未缴费
     */
    public static final String PAY_STATUS_UNPAID = "unpaid";

    /**
     * 已缴费
     */
    public static final String PAY_STATUS_PAID = "paid";

    /**
     * 已退费
     */
    public static final String PAY_STATUS_REFUNDED = "refunded";


    /**
     * 已经取消支付
     *
     */
    public static final String PAY_STATUS_CANCEL = "cancel";

    /**
     * 支付超时
     *
     */
    public static final String PAY_STATUS_TIMEOUT = "timeout";

    /**
     * 最大认筹金额
     */
    public static final Integer MAX_RAISE_PRICE = 5000;

    /**
     * 菜单
     */
    public static final Object ADVANCED_TYPE_MENU = "menu";
}
