package com.huiju.estateagents.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huiju.estateagents.entity.TaMiniappIcon;
import com.huiju.estateagents.entity.TaMiniappOrgIcon;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 小程序图标表  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2020-02-03
 */
@Mapper
public interface TaMiniappIconMapper extends BaseMapper<TaMiniappIcon> {

    List<TaMiniappOrgIcon> getListByTheme(@Param("themeId") Integer themeId);
}
