package com.huiju.estateagents.service;

import com.huiju.estateagents.entity.TaBuildingImg;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 楼盘图片表 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
public interface ITaBuildingImgService extends IService<TaBuildingImg> {
    int insertBatch(List<TaBuildingImg> imgs, String buildingId);

    /**
     * 获取户型图的图片集合
     * @param apartMentIds
     * @return
     */
    List<TaBuildingImg> getAparemnetList(List<String> apartMentIds);
}
