package com.huiju.estateagents.bo.request;

import lombok.Data;

/**
 * 查询房源认筹记录请求实体
 *
 * @Auther: gusy
 * @Date: 2020/2/28 01:01
 */
@Data
public class HousingRaiseRequestBO {

    private Integer orgId;

    /**
     * 销售批次ID
     */
    private Integer salesBatchId;

    /**
     * 房源ID
     */
    private Integer houseId;

    /**
     * 期名
     */
    private String termName;

    /**
     * 楼栋名
     */
    private String blockName;

    /**
     * 单元名
     */
    private String unitName;

    /**
     * 楼层名
     */
    private String floorName;

    /**
     * 房间名
     */
    private String roomName;

    /**
     * 户型Id
     */
    private String apartmentId;

    /**
     * 房源发布状态
     */
    private Integer status;

    /**
     * 房源锁定状态
     */
    private Integer lockingStatus;
}
