package com.huiju.estateagents.bo.request;

import lombok.Data;

/**
 * 预选记录查询请求实体
 *
 * @Auther: gusy
 * @Date: 2020/2/28 00:14
 */
@Data
public class PresecretRecordRequestBO {

    private Integer orgId;

    private Integer salesBatchId;

    /**
     * 房源ID
     */
    private String houseId;

    /**
     * 期名
     */
    private String termName;

    /**
     * 楼栋名
     */
    private String blockName;

    /**
     * 单元名
     */
    private String unitName;

    /**
     * 楼层名
     */
    private String floorName;

    /**
     * 房间名
     */
    private String roomName;

    /**
     * 用户手机号
     */
    private String phone;

    /**
     * 户型Id
     */
    private String apartmentId;

    /**
     * 预选状态
     */
    private Integer status;

    /**
     * 修改开始时间
     */
    private String startTime;

    /**
     * 修改结束时间
     */
    private String endTime;
}
