package com.huiju.estateagents.bo.request;

import lombok.Data;

/**
 * 查询认筹订单请求实体
 *
 * @Auther: gusy
 * @Date: 2020/2/27 22:10
 */
@Data
public class RaiseOrderRequestBO {

    private Integer orgId;

    /**
     * 认筹ID
     */
    private Integer raiseId;

    /**
     * 订单表ID
     */
    private Integer orderId;

    /**
     * 认筹单表ID
     */
    private Integer raiseRecordId;

    /**
     * 认筹手机号
     */
    private String tel;

    /**
     * 用户手机号
     */
    private String personTel;

    /**
     * 微信流水号
     */
    private String transactionId;

    /**
     * 微信退款号
     */
    private String refundNo;

    /**
     * 支付状态
     */
    private String payStatus;

    /**
     * 开始时间
     */
    private String payStartTime;

    /**
     * 结束时间
     */
    private String payEndTime;
}
