package com.huiju.estateagents.bo.request;

import lombok.Data;

/**
 * 认筹单记录查询请求实体
 *
 * @Auther: gusy
 * @Date: 2020/2/27 18:39
 */
@Data
public class RaiseRecordRequestBO {

    private Integer orgId;

    /**
     * 房源ID
     */
    private String houseId;

    /**
     * 认筹表ID
     */
    private Integer raiseId;

    /**
     * 认筹单ID
     */
    private Integer raiseRecordId;

    /**
     * 期名
     */
    private String termName;

    /**
     * 楼栋名
     */
    private String blockName;

    /**
     * 单元名
     */
    private String unitName;

    /**
     * 楼层名
     */
    private String floorName;

    /**
     * 房间名
     */
    private String roomName;

    /**
     * 是否作废
     */
    private Integer status;

    /**
     * 房源锁定状态
     */
    private Integer lockingStatus;

    /**
     * 认筹手机号
     */
    private Integer tel;

    /**
     * 用户手机号
     */
    private Integer personTel;

    /**
     * 缴费状态
     */
    private String payStatus;

    /**
     * 缴费方式
     */
    private String payType;

    /**
     * 开始时间
     */
    private String startTime;

    /**
     * 结束时间
     */
    private String endTime;
}
