package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 高级配置控制表 
 * </p>
 *
 * @author jobob
 * @since 2020-02-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaAdvancedController implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 高级配置控制id
     */
    @TableId(value = "advanced_controller_id", type = IdType.AUTO)
    private Integer advancedControllerId;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 高级配置id
     */
    private Integer advancedConfigId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;


}
