package com.huiju.estateagents.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huiju.estateagents.entity.SysAdvancedConfig;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 * 高级配置基础表  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2020-02-26
 */
@Mapper
public interface SysAdvancedConfigMapper extends BaseMapper<SysAdvancedConfig> {

    /**
     * 获取高级配置
     * @param orgId
     * @return
     */
    List<SysAdvancedConfig> getSysAdvancedConfigList(Integer orgId);
}
