package com.huiju.estateagents.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.TaSharePersonFrom;

/**
 * <p>
 *   服务类
 * </p>
 *
 * @author jobob
 * @since 2019-10-08
 */
public interface ITaSharePersonFromService extends IService<TaSharePersonFrom> {

    /**
     * 添加客户分享记录
     * @param personId
     * @param orgId
     * @param from
     * @param recommender
     * @param targetId
     * @return
     */
    TaSharePersonFrom addSharePersonRecord(String personId, Integer orgId, String from, String recommender, String targetId);

    ResponseBean selectHouseVisitList(Integer pageNum, Integer pageSize, Integer orgId, String personType, String sceneType, String phone, String saleBatchId);

    ResponseBean selectLiveActivityVisitList(Integer pageNum, Integer pageSize, Integer orgId, String personType, String sceneType, String phone, String liveActivityId);
}
