package com.huiju.estateagents.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.TaShare;

/**
 * <p>
 * 用户访问表 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
public interface ITaShareService extends IService<TaShare> {

    ResponseBean saveData(String openid, String typeOf, String id);

    ResponseBean getListOf(String id, String typeOf, Integer pageNumber, Integer pageSize);

    void makeSure(String openid, String typeOf, String id, Integer orgId);

    ResponseBean selectHouseShareList(Integer pageNum, Integer pageSize, Integer orgId, String personType, String shareType, String phone, Integer saleBatchId);

    ResponseBean listLiveShare(Integer pageNum, Integer pageSize, Integer orgId, String personType, String shareType, String phone, Integer liveActivityId);
}
