package com.huiju.estateagents.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.estateagents.entity.SysAdvancedConfig;
import com.huiju.estateagents.mapper.SysAdvancedConfigMapper;
import com.huiju.estateagents.service.ISysAdvancedConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 高级配置基础表  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2020-02-26
 */
@Service
public class SysAdvancedConfigServiceImpl extends ServiceImpl<SysAdvancedConfigMapper, SysAdvancedConfig> implements ISysAdvancedConfigService {

    @Autowired
    private SysAdvancedConfigMapper sysAdvancedConfigMapper;

    /**
     * 获取高级配置
     *
     * @param orgId
     * @return
     */
    @Override
    public List<SysAdvancedConfig> getSysAdvancedConfigList(Integer orgId) {
        return sysAdvancedConfigMapper.getSysAdvancedConfigList(orgId);
    }
}
